## xob 0.3

=== Makefile ===
PROGRAM = xob
MANPAGE = doc/xob.1
SYSCONF = styles.cfg
LIBS    = x11 libconfig
SOURCES = src/conf.c src/display.c src/main.c

# Feature: alpha channel (transparency)
enable_alpha ?= yes
ifeq ($(enable_alpha),yes)
	LIBS    += xrender
	SOURCES	+= src/display_xrender.c
else
	SOURCES += src/display_xlib.c
endif

OBJECTS = $(SOURCES:.c=.o)
CFLAGS  += $(shell pkg-config --cflags $(LIBS)) -std=c99 -Wall -Wextra -pedantic
LDFLAGS += $(shell pkg-config --libs $(LIBS))

INSTALL         ?= install
INSTALL_PROGRAM ?= $(INSTALL)
INSTALL_DATA    ?= $(INSTALL) -m 644
prefix          ?= /usr/local
bindir          ?= $(prefix)/bin
sysconfdir      ?= $(prefix)/etc
datarootdir     ?= $(prefix)/share
mandir          ?= $(datarootdir)/man
man1dir         ?= $(mandir)/man1


all: $(PROGRAM)

$(PROGRAM): $(OBJECTS)
	$(CC) -o $@ $(OBJECTS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CFLAGS) -DSYSCONFDIR='"$(sysconfdir)"' -c -o $@ $<

install: $(PROGRAM) $(MANPAGE) $(SYSCONF)
	mkdir --parents "$(DESTDIR)$(bindir)"
	$(INSTALL_PROGRAM) "$(PROGRAM)" -t "$(DESTDIR)$(bindir)"
	mkdir --parents "$(DESTDIR)$(man1dir)"
	$(INSTALL_DATA) "$(MANPAGE)" -t "$(DESTDIR)$(man1dir)"
	mkdir --parents "$(DESTDIR)$(sysconfdir)/$(PROGRAM)"
	$(INSTALL_DATA) "$(SYSCONF)" -t "$(DESTDIR)$(sysconfdir)/$(PROGRAM)"

uninstall:
	rm -f "$(DESTDIR)$(bindir)/$(PROGRAM)"
	rm -f "$(DESTDIR)$(man1dir)/$(MANPAGE)"
	rm -f "$(DESTDIR)$(sysconfdir)/$(PROGRAM)/$(SYSCONF)"
	rmdir "$(DESTDIR)$(sysconfdir)/$(PROGRAM)"

clean:
	rm -f src/*.o
	rm -f $(PROGRAM)

src/conf.o: src/conf.h
src/display.o: src/display.h src/conf.h
src/main.o: src/main.h src/display.h src/conf.h
src/xlib.o: src/display.h
src/xrender.o: src/display.h

.PHONY: all install uninstall clean

=== debian/changelog ===
xob (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1111201)

 -- Alexander Sulfrian <alexander@sulfrian.net>  Fri, 15 Aug 2025 15:43:17 +0200

=== debian/control ===
Source: xob
Section: x11
Priority: optional
Maintainer: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends:
  debhelper-compat (= 13),
  libconfig-dev,
  libx11-dev,
  libxrender-dev,
  pandoc,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/animux/xob
Vcs-Git: https://salsa.debian.org/animux/xob.git
Homepage: https://github.com/florentc/xob

Package: xob
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lightweight overlay bar for the X Window System
 xob (X Overlay Bar) is a lightweight configurable overlay
 volume/backlight/progress/anything bar for the X Window System (and Wayland
 compositors with XWayland).
 .
 Each time a new value is read on the standard input, it is displayed as a
 tv-like bar over other windows and vanishes after a configurable amount of
 time.

=== debian/watch ===
version=4
https://github.com/florentc/xob/tags .*/v(\d.*)@ARCHIVE_EXT@
